%define module_version 0.04
%define module_name MooseX-Types-Moose-MutualCoercion
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Load.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Common.pm) perl(MooseX/Types/Common/String.pm) perl(MooseX/Types/Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Regexp/Assemble.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1.1
Summary: Mutual coercions for common type constraints of Moose
Group: Development/Perl
License: perl
URL: http://github.com/gardejo/p5-moosex-types-moose-mutualcoercion

Source0: http://cpan.org.ua/authors/id/M/MO/MORIYA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module packages several
Moose::Util::TypeConstraints with coercions,
designed to mutually coerce with the built-in and common types known to
Moose.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1.1
- rebuild to restore role requires

* Mon Dec 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

